
namespace MaUI
{
    public partial class MainPage : ContentPage
    {
        public MainPage()
        {
            InitializeComponent();
            //VerifConnexion();
        }

        #region Méthodes pour la vérification de connexion
        private void VerifConnexion()
		{
            if (!UserConntected.IsConnected)
                Navigation.PushAsync(new AuthLogin());
        }

        protected override void OnAppearing()
        {
			//VerifConnexion();
        }

        #endregion

        #region Méthodes du Menu
        private async void OnListeEmails_Clicked(object sender, EventArgs e)
        {
            await Navigation.PushAsync(new ListeEmails());
        }

        private async void OnChatRoom_Clicked(object sender, EventArgs e)
        {
            await Navigation.PushAsync(new ChatRoomPage());
        }

        private async void OnLOGS_Liste_Clicked(object sender, EventArgs e)
		{
			await Navigation.PushAsync(new LOGS_Liste_Page());
		}



        #endregion
    }

}
             
